commit:     2142d00f4ea6233abdb08ca02c4b861ef63d1559
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 18 07:39:22 2019 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Fri Oct 18 07:39:22 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2142d00f

sys-auth/pam_p11: Bump to version 0.3.1

Package-Manager: Portage-2.3.77, Repoman-2.3.17
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 sys-auth/pam_p11/Manifest             |  1 +
 sys-auth/pam_p11/pam_p11-0.3.1.ebuild | 30 ++++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+)

diff --git a/sys-auth/pam_p11/Manifest b/sys-auth/pam_p11/Manifest
index 7b93d357274..a7f1a2947fe 100644
--- a/sys-auth/pam_p11/Manifest
+++ b/sys-auth/pam_p11/Manifest
@@ -1 +1,2 @@
 DIST pam_p11-0.3.0.tar.gz 422806 BLAKE2B 
60ac1cc0b8fff536553b2502f906f7730c1be760b2948389f5a6399979f994b3fcfa04226f1605c64d02bad47f46c9bd28fa076d819814b9121241b034407d4b
 SHA512 
f89cf57f6365c25e54830d18180aad7d14b7eaef82eb0d419bcc3d8b881e1e07993a2c4e635e90b4f2fb779fec24fa0d912388f898d726e387bc0db63d772d49
+DIST pam_p11-0.3.1.tar.gz 422940 BLAKE2B 
b4c6d60a7ee31d808b9e928339f6e8aba3b56655b9f408ff7cd15ff4a397c89c00d00b0bbe70fc0b7bd6c6a246acd9c313c8f5b21a88e1474355c3407ff694f0
 SHA512 
caaa6882d4c007dfaba5974dc420bc45aa225f705679d170fdc9576aa49cbd24bba6985f14eb2bca97d4fe37aaf6088641add912dfbb93740b7d634f448addcf

diff --git a/sys-auth/pam_p11/pam_p11-0.3.1.ebuild 
b/sys-auth/pam_p11/pam_p11-0.3.1.ebuild
new file mode 100644
index 00000000000..de59cb7f5aa
--- /dev/null
+++ b/sys-auth/pam_p11/pam_p11-0.3.1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools pam
+
+DESCRIPTION="PAM module for authenticating against PKCS#11 tokens"
+HOMEPAGE="https://github.com/opensc/pam_p11/wiki";
+SRC_URI="https://github.com/OpenSC/${PN}/releases/download/${P}/${P}.tar.gz";
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+RDEPEND="sys-libs/pam
+       dev-libs/libp11:=
+       dev-libs/openssl:0="
+
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+src_configure() {
+       econf --with-pamdir="$(getpam_mod_dir)"
+}
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
+}

Reply via email to